> For the complete documentation index, see [llms.txt](https://api.koreroplatforms.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api.koreroplatforms.io/channel-api/sms-apis/single-message-to-multiple-msisdn.md).

# Single Message to Multiple MSISDN API

## Single Message to Multiple MSISDN

<mark style="color:green;">`POST`</mark> `http://api.koreroplatforms.com/omni-sms-api/multipush/singlemsg`

This API is used to push a notification to multiple mobile numbers.

#### Request Body

| Name        | Type   | Description                                                                                         |
| ----------- | ------ | --------------------------------------------------------------------------------------------------- |
| username    | string | The credentials for API access                                                                      |
| password    | string | The credentials for API access                                                                      |
| eid         | string | The entity ID as assigned by TRAI DLT                                                               |
| tid         | string | The template ID associated with the message content as assigned by TRAI DLT                         |
| senderId    | string | The unique identifier that is assigned to your account and is to be used to send SMS to recipients. |
| messageType | string | The type of message                                                                                 |
| messageText | string | Message text to be sent to recipients.                                                              |
| msisdns     | string | This parameter is an array of objects. Each object includes a 'country code' and 'MSISDN'           |
| countryCode | array  | country code of the MSISDN                                                                          |

{% tabs %}
{% tab title="200 Success message." %}

```
{    
    "message": "Success"
}
```

{% endtab %}

{% tab title="404 Failure message." %}

```
{    
    "message": "Failure"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api.koreroplatforms.io/channel-api/sms-apis/single-message-to-multiple-msisdn.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
